<template>
  <div>
    <input type="text" id="login" placeholder="login" />
    <br />
    <input type="password" id="password" placeholder="password" />
    <br />
    <button id="submit" @click="submit">Submit</button>
  </div>
</template>

<script>
export default {
  methods: {
    submit() {
      throw new Error("validation failed");
    }
  }
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
